TEMPLATE=app
TARGET=kolabadmin

DESCRIPTION_SOURCES=description.cpp \
  addressbook_description.cpp \
  administrator_description.cpp \
  distributionlist_description.cpp \
  maintainer_description.cpp \
  service_description.cpp \
  sharedfolder_description.cpp \
  user_description.cpp

FIELD_SOURCES=field.cpp \
  accounttypefield.cpp \
  aclselectionfield.cpp \
  aliasfield.cpp \
  booleanfield.cpp \
  delegatefield.cpp \
  hostsfield.cpp \
  integerfield.cpp \
  invitationpolicyfield.cpp \
  mailfilterfield.cpp \
  memberselectionfield.cpp \
  networksfield.cpp \
  passwordfield.cpp \
  servicesfield.cpp \
  smtphostfield.cpp \
  stringfield.cpp

POLICY_SOURCES=pagepolicy.cpp \
  addressbook_policy.cpp \
  administrator_policy.cpp \
  distributionlist_policy.cpp \
  maintainer_policy.cpp \
  service_policy.cpp \
  sharedfolder_policy.cpp \
  user_policy.cpp

FORM_SOURCES=container.cpp dialog.cpp entry.cpp fieldfactory.cpp \
             $$DESCRIPTION_SOURCES \
             $$FIELD_SOURCES \
             $$POLICY_SOURCES

LISTING_SOURCES= listingmodel.cpp \
  addressbook_listingmodel.cpp \
  administrator_listingmodel.cpp \
  distributionlist_listingmodel.cpp \
  maintainer_listingmodel.cpp \
  sharedfolder_listingmodel.cpp \
  user_listingmodel.cpp

FILTERMODEL_SOURCES = \
  addressbook_filtermodel.cpp \
  administrator_filtermodel.cpp \
  distributionlist_filtermodel.cpp \
  maintainer_filtermodel.cpp \
  sharedfolder_filtermodel.cpp \
  user_filtermodel.cpp

PAGE_SOURCES= \
  addressbook_page.cpp \
  administrator_page.cpp \
  distributionlist_page.cpp \
  maintainer_page.cpp \
  service_page.cpp \
  sharedfolder_page.cpp \
  user_page.cpp

RECORD_SOURCES= \
  addressbook_record.cpp \
  administrator_record.cpp \
  distributionlist_record.cpp \
  maintainer_record.cpp \
  service_record.cpp \
  sharedfolder_record.cpp \
  user_record.cpp


SOURCES=main.cpp mainwindow.cpp mainwidget.cpp connection.cpp connectiondialog.cpp qldap.cpp \
        listingwidget.cpp listingdialog.cpp pagemanager.cpp auth.cpp mainpolicy.cpp itemview.cpp \
        ldapsearchdialog.cpp tool.cpp filtermodel.cpp filterwidget.cpp connectioninfomanager.cpp \
        crypto.cpp \
        $$FILTERMODEL_SOURCES \
        $$FORM_SOURCES \
        $$LISTING_SOURCES \
        $$PAGE_SOURCES \
        $$RECORD_SOURCES

HEADERS=dialog.h connection.h connectiondialog.h qldap.h listingwidget.h \
        listingmodel.h listingdialog.h itemview.h ldapsearchdialog.h \
        aclselectionfield.h filtermodel.h filterwidget.h

RESOURCES = application.qrc

LIBS += -lldap -lssl

DEFINES += LDAP_DEPRECATED

CONFIG += warn_on qt thread release
CONFIG -= debug

count( INSTALLDIR, 0 ) {
  INSTALLDIR = /usr
}

target.path = $${INSTALLDIR}/bin
INSTALLS += target
