/*
    This file is part of KolabAdmin.

    Copyright (C) 2006 Tobias Koenig <tobias.koenig@credativ.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#include "user_filtermodel.h"

UserFilterModel::UserFilterModel( QObject *parent )
  : FilterModel( parent )
{
}

UserFilterModel::~UserFilterModel()
{
}

int UserFilterModel::rowCount( const QModelIndex& ) const
{
  return 3;
}

QVariant UserFilterModel::data( const QModelIndex &index, int role ) const
{
  if ( !index.isValid() )
    return QVariant();

  if ( role == Qt::DisplayRole ) {
    switch ( index.row() ) {
      case 0:
        return tr( "Name" );
        break;
      case 1:
        return tr( "Email" );
        break;
      case 2:
        return tr( "UID" );
        break;
    }
  } else if ( role == AttributeRole ) {
    switch ( index.row() ) {
      case 0:
        return QString( "cn" );
        break;
      case 1:
        return QString( "mail" );
        break;
      case 2:
        return QString( "uid" );
        break;
    }
  } else if ( role == MainAttributeRole ) {
    return QString( "cn" );
  }

  return QVariant();
}
